mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# UdmEnvFree

## Name

UdmEnvFree -- Closes a search context

## Description

`void UdmEnvFree(UDM_ENV* Env);`

Closes a previously initialized search context, and deallocated the variable if it was allocated by `UdmEnvInit()`.

## Parameters

`Env`

  Pointer to a variable of type UDM_ENV.

## Return Values

None.

## Examples

Example 1. `UdmEnvFree` example #1

    UDM_ENV *Env;

    if (!(Env= UdmEnvInit(NULL)))
    {
      printf('Fatal error: could not allocate Env');
      exit(1);
    }
    ...
    UdmEnvFree(Env);

Example 2. `UdmEnvFree` example #2

    UDM_ENV Env;

    if (!UdmEnvInit(&Env))
    {
      printf('Fatal error: could not initialize Env');
      exit(1);
    }
    ...
    UdmEnvFree(&Env);

## See Also

`UdmEnvInit`
`UdmAgentInit`
`UdmAgentFree`

Prev | Home | Next
UdmEnvInit | Up | UdmAgentInit